#### Linux From Scratch - Version 12.0-rc1

### Chapter 8. Installing Basic System Software

- Prev

  Python-3.11.4

- Next

  Wheel-0.41.1

- Up
- Home

# 8.52. Flit-Core-3.9.0

Flit-core is the distribution-building parts of Flit (a packaging tool for simple Python modules).

Approximate build time: less than 0.1 SBU
Required disk space: 1.7 MB

## 8.52.1. Installation of Flit-Core

Build the package:

    pip3 wheel -w dist --no-build-isolation --no-deps $PWD

Install the package:

    pip3 install --no-index --no-user --find-links dist flit_core

The meaning of the pip3 configuration options and commands:

wheel

  This command builds the wheel archive for this package.

`-w dist`

  Instructs pip to put the created wheel into the `dist` directory.

install

  This command installs the package.

`--no-build-isolation`, `--no-deps`, and `--no-index`

  These options prevent fetching files from the online package repository (PyPI). If packages are installed in the correct order, pip won't need to fetch any files in the first place; these options add some safety in case of user error.

`--find-links dist`

  Instructs pip to search for wheel archives in the `dist` directory.

## 8.52.2. Contents of Flit-Core

Installed directory: /usr/lib/python3.11/site-packages/flit_core and /usr/lib/python3.11/site-packages/flit_core-3.9.0.dist-info

- Prev

  Python-3.11.4

- Next

  Wheel-0.41.1

- Up
- Home